## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
# Test failed on s390x due to endianess
# https://github.com/RazrFalcon/tiny-skia/issues/43
%ifarch s390x
%bcond_with check
%else
%bcond_without check
%endif

%global debug_package %{nil}

%global crate tiny-skia

Name:           rust-%{crate}
Version:        0.6.3
Release:        %autorelease
Summary:        Tiny Skia subset ported to Rust

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            https://crates.io/crates/tiny-skia
Source:         %{crates_source}
# Initial patched metadata
# * Update safe_arch to version 0.6
# https://github.com/RazrFalcon/tiny-skia/pull/36
Patch0:         tiny-skia-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Tiny Skia subset ported to Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+libm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm-devel %{_description}

This package contains library source intended for building other packages which
use the "libm" feature of the "%{crate}" crate.

%files       -n %{name}+libm-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+png-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+png-devel %{_description}

This package contains library source intended for building other packages which
use the "png" feature of the "%{crate}" crate.

%files       -n %{name}+png-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+png-format-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+png-format-devel %{_description}

This package contains library source intended for building other packages which
use the "png-format" feature of the "%{crate}" crate.

%files       -n %{name}+png-format-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+safe_arch-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+safe_arch-devel %{_description}

This package contains library source intended for building other packages which
use the "safe_arch" feature of the "%{crate}" crate.

%files       -n %{name}+safe_arch-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+simd-devel %{_description}

This package contains library source intended for building other packages which
use the "simd" feature of the "%{crate}" crate.

%files       -n %{name}+simd-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Feb 03 2022 Rémi Lauzier <remilauzier@protonmail.com> 0.6.3-2
- Deactivate test on s390x

* Wed Feb 02 2022 Rémi Lauzier <remilauzier@protonmail.com> 0.6.3-1
- Initial import; Fixes RHBZ#1983541
